Name:		sipp
Version:	3.3
Release:	1.2
License:	GPL
Summary:	SIP test tool
Group:		Productivity/Telephony
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf automake bison flex make patch
BuildRequires:	ncurses-devel
BuildRequires:	gcc-c++

%description
SIPp is a free Open Source test tool / traffic generator for the SIP protocol.
It includes a few basic SipStone user agent scenarios (UAC and UAS) and establishes
and releases multiple calls with the INVITE and BYE methods.
It can also reads custom XML scenario files describing from very simple
to complex call flows. It features the dynamic display of statistics about
running tests (call rate, round trip delay, and message statistics),
periodic CSV statistics dumps, TCP and UDP over multiple sockets or multiplexed
with retransmission management and dynamically adjustable call rates.

Other advanced features include support of IPv6, TLS, SCTP, SIP authentication,
conditional scenarios, UDP retransmissions, error robustness (call timeout, protocol defense),
call specific variable, Posix regular expression to extract and re-inject any protocol fields,
custom actions (log, system command exec, call stop) on message receive,
field injection from external CSV file to emulate live users.

SIPp can also send media (RTP) traffic through RTP echo and RTP / pcap replay.
Media can be audio or video.

%prep
%setup -n %{name}-%{version}

%build
#[ ! -f configure ] && autoreconf -fi
#export LDFLAGS="-L%{_libdir}"
#export CFLAGS="-I%{_includedir}/ncurses"
#./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} || cat config.log
%__make

%install
%__install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}

%changelog
* Mon Jul 15 2013 cs@linux-administrator.com
- initial package
